package com.yonge.cooleshow.common.enums;

import com.baomidou.mybatisplus.annotation.EnumValue;
import com.yonge.toolset.base.enums.BaseEnum;

public enum ContractTemplateSourceEnum implements BaseEnum<String, ContractTemplateSourceEnum> {
    PLATFORM("平台协议"), LINGXINPAY("灵薪付");

    @EnumValue
    private String code;

    private String desc;

    ContractTemplateSourceEnum(String desc) {
        this.code = this.name();
        this.desc = desc;
    }

    @Override
    public String getCode() {
        return this.code;
    }

    public String getDesc() {
        return this.desc;
    }

}
